com.google.gwt.dom.builder.client

## Class DomFrameSetBuilder

- java.lang.Object
- - com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
  - - com.google.gwt.dom.builder.client.DomElementBuilderBase<FrameSetBuilder,FrameSetElement>
    - - com.google.gwt.dom.builder.client.DomFrameSetBuilder

All Implemented Interfaces:
  ElementBuilderBase<FrameSetBuilder>, FrameSetBuilder

    public class DomFrameSetBuilder
    extends DomElementBuilderBase<FrameSetBuilder,FrameSetElement>
    implements FrameSetBuilder

DOM-based implementation of `FrameSetBuilder`.

### Constructor Summary

Constructors
Constructor and Description
`DomFrameSetBuilder(DomBuilderImpl delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FrameSetBuilder` `cols(java.lang.String cols)` The number of columns of frames in the frameset.
`FrameSetBuilder` `html(SafeHtml html)` Append html within the node.
`FrameSetBuilder` `rows(java.lang.String rows)` The number of rows of frames in the frameset.
`FrameSetBuilder` `text(java.lang.String text)` Append text within the node.

### Methods inherited from class com.google.gwt.dom.builder.client.DomElementBuilderBase

`assertCanAddAttribute, attribute, attribute, className, dir, draggable, getDelegate, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, tabIndex, title, trustedStart`

### Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

`end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, isChildElementSupported, isEndTagForbidden, style`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, title, trustedStart`

### Constructor Detail

#### DomFrameSetBuilder

    DomFrameSetBuilder(DomBuilderImpl delegate)

### Method Detail

#### cols

    public FrameSetBuilder cols(java.lang.String cols)

Description copied from interface: `FrameSetBuilder`
The number of columns of frames in the frameset.

Specified by:
  `cols` in interface `FrameSetBuilder`
See Also:
  W3C HTML Specification

#### html

    public FrameSetBuilder html(SafeHtml html)

Description copied from interface: `ElementBuilderBase`
Append html within the node.

Once you append HTML to the element, you can no longer set attributes.

Specified by:
  `html` in interface `ElementBuilderBase<FrameSetBuilder>`
Overrides:
  `html` in class `AbstractElementBuilderBase<FrameSetBuilder>`
Parameters:
  `html` - the HTML to append
Returns:
  this builder

#### rows

    public FrameSetBuilder rows(java.lang.String rows)

Description copied from interface: `FrameSetBuilder`
The number of rows of frames in the frameset.

Specified by:
  `rows` in interface `FrameSetBuilder`
See Also:
  W3C HTML Specification

#### text

    public FrameSetBuilder text(java.lang.String text)

Description copied from interface: `ElementBuilderBase`
Append text within the node.

Once you append text to the element, you can no longer set attributes.

A string-based implementation will escape the text to prevent HTML/javascript code from executing. DOM based implementations are not required to escape the text if they directly set the innerText of an element.

Specified by:
  `text` in interface `ElementBuilderBase<FrameSetBuilder>`
Overrides:
  `text` in class `AbstractElementBuilderBase<FrameSetBuilder>`
Parameters:
  `text` - the text to append
Returns:
  this builder